Package com.smartgwt.client.types

# Enum IconOverTrigger

java.lang.Object
java.lang.Enum<IconOverTrigger>
com.smartgwt.client.types.IconOverTrigger

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<IconOverTrigger>`, `Constable`

public enum IconOverTrigger extends Enum<IconOverTrigger> implements ValueEnum
Property to govern when the 'over' styling is applied to a formItemIcon.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ICON`
  Show rollover styling and media when the user is over the icon only
  `ITEM`
  Show rollover styling and media when the user is over any part of the FormItem, including the entire cell within a DynamicForm table containing the item.
  `TEXTBOX`
  Show rollover styling and media when the user is over the icon or over the textBox (or control-table, if present) for this icon.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static IconOverTrigger`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static IconOverTrigger[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ICON

    public static final IconOverTrigger ICON
    Show rollover styling and media when the user is over the icon only

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "icon".

  - ### TEXTBOX

    public static final IconOverTrigger TEXTBOX
    Show rollover styling and media when the user is over the icon or over the textBox (or control-table, if present) for this icon. Only has an effect when `FormItem.showOver` is true.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "textBox".

  - ### ITEM

    public static final IconOverTrigger ITEM
    Show rollover styling and media when the user is over any part of the FormItem, including the entire cell within a DynamicForm table containing the item.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "item".

- ## Method Details

  - ### values

    public static IconOverTrigger[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static IconOverTrigger valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`